# Interface VersionRef

@Incubating public interface VersionRef
Represents how a version of a software component is referred to in a version control system.

Since:
  4.4

## Method Summary

Modifier and Type
Method
Description
`String`
`getCanonicalId()`
Returns a canonical representation of this version of the software component, which may be different from the human-readable version.
`String`
`getVersion()`
Returns a human-readable version of the software component.

## Method Details

### getVersion

String getVersion()
Returns a human-readable version of the software component.

### getCanonicalId

String getCanonicalId()
Returns a canonical representation of this version of the software component, which may be different from the human-readable version.